<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>评卷分组管理</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">
    <li><a href="${ctx}/admin/exam/mark?subjectCode=${subject.code}">评卷进度</a></li>
    <li class="active"><a href="##">分组管理</a></li>
    <li><a href="${ctx}/admin/exam/marker?subjectCode=${subject.code}">评卷员管理</a></li>
    <li><a href="${ctx}/admin/exam/trial?subjectCode=${subject.code}">试评管理</a></li>
    <li><a href="${ctx}/admin/exam/library?subjectCode=${subject.code}">任务管理</a></li>
    <li><a href="${ctx}/admin/exam/arbitrate?subjectCode=${subject.code}">仲裁管理</a></li>
    <li><a href="${ctx}/admin/exam/quality?subjectCode=${subject.code}">质量监控</a></li>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/group" method="post" class="breadcrumb form-search">
    <div>
        <label>科目</label>
        <select class="input-large" name="subjectCode">
            <c:forEach items="${subjectList}" var="item">
                <option value="${item.code}" <c:if test="${item.code==subject.code}">selected</c:if>>${item.code}-${item.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="submit" value="查询"/>
        
        <c:if test="${web_user.schoolAdmin==true}">
            <c:if test="${examType!='MULTI_MEDIA'}">
                &nbsp;
                <a href="${ctx}/admin/exam/group/add?subjectCode=${subject.code}" class="btn">新增</a>
            </c:if>
            &nbsp;
            <a href="${ctx}/admin/exam/group/check-count?subjectCode=${subject.code}" class="btn">数量校对</a>
        </c:if>
    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>分组序号</th>
        <th>大题号</th>
        <th>大题名称</th>
        <th>步骤分</th>
        <th>评卷员人数</th>
        <th>任务总数</th>
        <th>完成总数</th>
        <th>剩余总数</th>
        <th>正在评卷</th>
        <th>进度</th>
        <th>评卷区设置</th>
        <th>状态</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${resultList}" var="result">
        <tr>
            <td>${result.number}</td>
            <td>${result.mainNumber}</td>
            <td>${result.title}</td>
            <td>${result.scoreList}</td>
            <td>
                <a href="${ctx}/admin/exam/marker?subjectCode=${result.subjectCode}&groupNumber=${result.number}">${result.markerCount}</a>
            </td>
            <td>${result.libraryCount}</td>
            <td>${result.markedCount}</td>
            <td>${result.leftCount}</td>
            <td>${result.currentCount}</td>
            <td>${result.percent}%</td>
            <td>
            	<c:if test="${result.picList!=null && result.picList!=''}">是</c:if>
            	<c:if test="${result.picList==null || result.picList==''}">否</c:if>
            </td>
            <td>${result.status.name}</td>
            <td>
                <c:if test="${result.deleting==true}">
                    正在删除
                </c:if>
                <c:if test="${result.deleting==false}">
                    <c:if test="${web_user.schoolAdmin==true && result.status.value!=3}">
                        <c:if test="${result.status.value==1}">
                            <a href="${ctx}/admin/exam/group/changeStatus?subjectCode=${result.subjectCode}&number=${result.number}&status=FORMAL" data-number="${result.number}" class="edit-button"
                               id="statusButton">开始正评</a>
                        </c:if>
                        <c:if test="${result.status.value==2 && result.leftCount==0}">
                            <a href="${ctx}/admin/exam/group/changeStatus?subjectCode=${result.subjectCode}&number=${result.number}&status=FINISH" data-number="${result.number}"
                               class="edit-button">结束</a>
                        </c:if>
                        <c:if test="${result.currentCount>0}">
                            &nbsp;
                            <a href="${ctx}/admin/exam/group/release?subjectCode=${result.subjectCode}&number=${result.number}">回收</a>
                        </c:if>
                        <c:if test="${result.libraryCount>0}">
                            &nbsp;
                            <a href="${ctx}/admin/exam/group/reset?subjectCode=${result.subjectCode}&number=${result.number}" data-number="${result.number}" class="reset-button">重置</a>
                        </c:if>
                        &nbsp;
                        <c:if test="${examType!='MULTI_MEDIA'}">
                            <a href="${ctx}/admin/exam/group/edit-simple?subjectCode=${result.subjectCode}&number=${result.number}" data-number="${result.number}" class="edit-button">修改</a>
                            &nbsp;
                        </c:if>
                        <c:if test="${examType=='MULTI_MEDIA'}">
                            <a href="${ctx}/admin/exam/group/delete?subjectCode=${result.subjectCode}&number=${result.number}" data-number="${result.number}" class="delete-button">删除</a>
                            &nbsp;
                        </c:if>
                    </c:if>
                    
                    <c:if test="${web_user.schoolAdmin==true && result.status.value==3}">
                        &nbsp;
                        <a href="${ctx}/admin/exam/group/changeStatus?subjectCode=${result.subjectCode}&number=${result.number}&status=FORMAL" data-number="${result.number}"
                           class="edit-button">开始正评</a>
                    </c:if>
                </c:if>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<script type="text/javascript">
    function page(n, s) {
        $("#pageNumber").val(n);
        $("#pageSize").val(s);
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        $("#pageNumber").val(1);
        $("#searchForm").submit();
        return false;
    }

    $('.reset-button').click(function () {
        var number = $(this).attr('data-number');
        return confirm('确定要重置第' + number + '分组的评卷任务吗?');
    });
    $('#statusButton').click(function () {
        return confirm('确定开始正评吗？');
    });
</script>
</body>
</html>