<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>成绩复核</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<form id="searchForm" action="${ctx}/admin/exam/inspected" method="post" class="breadcrumb form-search" >
    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
    <div>
        <label>科目</label>
        <select class="input-large" name="subjectCode" id="subject-select">
            <option value="">请选择</option>
            <c:forEach items="${subjectList}" var="subject">
                <option value="${subject.code}" <c:if test="${subject.code==query.subjectCode}">selected</c:if>>${subject.code}-${subject.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <label>状态</label>
        <select class="input-medium" name="status">
            <option value="">请选择</option>
            <c:forEach items="${statusList}" var="result">
                <option value="${result}" <c:if test="${status==result}">selected</c:if>>${result.name}</option>
            </c:forEach>
        </select>
         &nbsp;
        <label>试卷总分：从</label>
        <input type="text" number="true" id="startScroe" name="startScore" value="${query.startScore}" class="input-mini"/>
        <label> 到&nbsp;&nbsp;&nbsp;</label>
        <input type="text" number="true" id="endScroe" name="endScore" value="${query.endScore}" class="input-mini"/>
        
        <br/><br/>
		<label>大题</label>
        <select class="input-medium" id="question-select" name="mainNumber">
            <option value="">请选择</option>
            <c:forEach items="${questionList}" var="result">
                <option value="${result.mainNumber}" <c:if test="${result.mainNumber==mainNumber}">selected</c:if>>${result.mainNumber}-${result.mainTitle}</option>
            </c:forEach>
        </select>
        &nbsp;
        <label>大题得分：从</label>
        <input type="text" number="true" name="mainStartScore" id="mainStartScore" value="${mainStartScore }" class="input-mini"/>
        <label> 到&nbsp;&nbsp;&nbsp;</label>
        <input type="text" number="true" id="mainEndScore" name="mainEndScore" value="${mainEndScore }" class="input-mini"/>
        &nbsp;
        
        <label>小题得分</label>
        <input type="text" number="true" name="questionScore" id="questionScore" value="${questionScore }" class="input-mini"/>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
        &nbsp;
         <input id="btnStart" class="btn" type="button" value="批量复核:${inspectCount }" onclick="goStart()"/>
    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>科目</th>
        <th>考生编号</th>
        <th>状态</th>
        <th>试卷总分</th>
        <th>得分明细</th>
        <th>复核时间</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${query.result}" var="result">
        <tr>
            <td>${result.subjectCode}-${result.subjectName}</td>
            <td>${result.secretNumber}</td>
            <td>${result.subjectiveStatus.name}</td>
            <td>${result.totalScore}</td>
            <td>${result.subjectiveScoreList}</td>
            <td>${result.inspectTime}</td>
            <td>
                <c:if test="${examType=='MULTI_MEDIA'}">
                    <a class="json-link" href="${ctx}/admin/exam/library/getJson?studentId=${result.id}" target="_blank">原图</a>
                </c:if>
                <c:if test="${examType!='MULTI_MEDIA'}">
                    <a href="${ctx}/admin/exam/track/student/${result.id}" target="_blank">轨迹图</a>
                </c:if>
                <c:if test="${result.subjectiveStatus=='MARKED'}">
	                <a target="_blank" href="${ctx}/admin/exam/inspected/startById?studentId=${result.id}">进入复核</a>
                </c:if>
                <c:if test="${result.subjectiveStatus=='INSPECTED'}">
                <a class="cancel-link" href="#" data-id="${result.id}">取消复核</a>
                </c:if>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<div class="pagination">${query}</div>
<%@include file="/WEB-INF/views/include/trackView.jsp" %>
<script type="text/javascript">
    $(document).ready(function () {
        /* new jBox('Image', {
            imageFade: 0,
            delayOpen: 0,
            delayClose: 0,
            maxHeight: $(window).height()*0.88
        }); */
        $('.cancel-link').click(function () {
            if (!confirm('确定要取消复核吗?')) {
                return;
            }
            $.post('${ctx}/admin/exam/inspected/cancel', {id: $(this).attr('data-id')}, function (result) {
                if (result.success == true) {
                    alert('取消成功');
                    $("#searchForm").submit();
                } else {
                    alert(result.message);
                }
            });
        });
        $('.track-link').click(function () {
            initTrackPopover($(this).attr('data-title'), $(this).attr('data-image-url'));
            return false;
        });
        $('#subject-select').change(function () {
            var code = $(this).val();
            $('#question-select').empty();
            if (code == '') {
                $('#question-select').val('').trigger('change');
                return;
            }
            $.post('${ctx}/admin/exam/paper/question/query', {subjectCode: code, status: 'FORMAL'}, function (result) {
                var parent = $('#question-select');
                var first = '';
                for (var i = 0; i < result.length; i++) {
                    var question = result[i];
                    $('<option value="' + question.mainNumber + '">' + question.mainNumber + '-' + question.mainTitle + '</option>').appendTo(parent);
                    if (i == 0) {
                        first = question.mainNumber;
                    }
                }
                parent.val(first).trigger('change');
            });
        });
    });

    function page(n, s) {
        $("#pageNumber").val(n);
        $("#searchForm").attr('target', "_self");
        $("#searchForm").attr('action', '${ctx}/admin/exam/inspected');
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        $("#pageNumber").val(1);
        $("#searchForm").attr('target', "_self");
        $("#searchForm").attr('action', '${ctx}/admin/exam/inspected');
        $("#searchForm").submit();
        return false;
    }
    function goStart() {
    	$("#searchForm").attr('target', "_blank");
        $("#searchForm").attr('action', '${ctx}/admin/exam/inspected/start');
        $("#searchForm").submit();
        return false;
    }
</script>
</body>
</html>