<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>新建学校</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#name").focus();
            $("#inputForm").validate({
                submitHandler: function (form) {
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function (error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox") || element.is(":radio") || element.parent().is(".input-append")) {
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
        });
    </script>
</head>
<body>
<form:form id="inputForm" modelAttribute="school" action="${ctx}/admin/sys/school/save" method="post" class="form-horizontal">
    <form:hidden path="id"/>
    <tags:message content="${message}"/>
    <div class="control-group">
        <label class="control-label">名称</label>
        <div class="controls">
            <form:input path="name" htmlEscape="false" maxlength="200" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">省份</label>
        <div class="controls">
            <form:input path="province" htmlEscape="false" maxlength="200" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">地市</label>
        <div class="controls">
            <form:input path="city" htmlEscape="false" maxlength="200" class="required"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">地址</label>
        <div class="controls">
            <form:input path="address" htmlEscape="false" maxlength="400"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">AccessKey</label>
        <div class="controls">
            <input name="accessKey" value="${school. accessKey}" disabled="disabled"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">AccessSecret</label>
        <div class="controls">
            <input name="accessSecret" value="${school. accessSecret}" disabled="disabled"/>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label">描述</label>
        <div class="controls">
            <form:textarea path="description" htmlEscape="false" rows="4" maxlength="200" class="input-xxlarge"/>
        </div>
    </div>
    <div class="form-actions">
            <%-- <shiro:hasPermission name="exam:course:edit"> --%>
        <input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>&nbsp;
            <%-- </shiro:hasPermission> --%>
		<c:if test="${school.id!=null }">
	        <a href="${ctx}/admin/sys/school/restAccess?id=${school.id}" class="btn btn-warning" type="button">重置密钥</a>&nbsp;
		</c:if>
        <input id="btnCancel" class="btn" type="button" value="返 回" onclick="history.go(-1)"/>
    </div>
</form:form>
</body>
</html>
