<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>用户管理</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">
    <li class="active"><a href="##">用户列表</a></li>
    <c:if test="${web_user.schoolAdmin==true}">
        <li><a href="${ctx}/admin/user/add">创建用户</a></li>
    </c:if>
</ul>
    <div id="importBox" class="hide">
        <form id="importForm" action="${ctx}/admin/user/subject/import" method="post" enctype="multipart/form-data"
              style="padding-left:20px;text-align:center;" class="form-search" onsubmit="loading('正在导入，请稍等...');"><br/>
            <input id="uploadFile" name="file" type="file" style="width:330px"/><br/><br/>　　
            <input id="btnImportSubmit" class="btn btn-primary" type="submit" value="  导    入  "/>
            <a href="${ctx}/admin/user/subject/template">下载模板</a>
        </form>
    </div>
    <div id="importClassBox" class="hide">
        <form id="importClassForm" action="${ctx}/admin/user/class/import" method="post" enctype="multipart/form-data"
              style="padding-left:20px;text-align:center;" class="form-search" onsubmit="loading('正在导入，请稍等...');"><br/>
            <input id="uploadClassFile" name="file" type="file" style="width:330px"/><br/><br/>　　
            <input id="btnImportClassSubmit" class="btn btn-primary" type="submit" value="  导    入  "/>
            <a href="${ctx}/admin/user/class/template">下载模板</a>
        </form>
    </div>
<form id="searchForm" action="${ctx}/admin/user/list" method="post" class="breadcrumb form-search">
    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber}"/>
    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize}"/>
    <div>
        <label>登录名</label>
        <input type="text" name="loginName" value="${query.loginName}" maxlength="20" class="input-small"/>
        &nbsp;
        <label>来源</label>
        <select class="input-small" name="source" id="source-select">
            <option value="">不限</option>
            <c:forEach items="${sourceList}" var="source">
                <option value="${source.value}"
                        <c:if test="${source.value==query.source.value}">selected</c:if>>${source.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <label>角色</label>
        <select class="input-small" name="role" id="role-select">
            <option value="">不限</option>
            <c:forEach items="${roleList}" var="role">
                <option value="${role.value}"
                        <c:if test="${role.value==query.role.value}">selected</c:if>>${role.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <label>状态</label>
        <select class="input-small" name="enable" id="enable-select">
            <option value="">不限</option>
            <option value="true" <c:if test="${query.enable!=null && query.enable==true}">selected</c:if>>启用</option>
            <option value="false" <c:if test="${query.enable!=null && query.enable==false}">selected</c:if>>禁用</option>
        </select>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
        <c:if test="${web_user.schoolAdmin==true}">
            &nbsp;
            <a href="${ctx}/admin/user/add" class="btn">新建</a>
            &nbsp;
            <input id="btnImport" class="btn" type="button" value="导入科组长"/>
            &nbsp;
            <input id="btnImportClass" class="btn" type="button" value="导入评卷员班级"/>
        </c:if>
    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>登录名</th>
        <th>名称</th>
        <th>来源</th>
        <th>角色</th>
        <th>状态</th>
        <th>关联账号</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${query.result}" var="user">
        <tr>
            <td>${user.loginName}</td>
            <td>${user.name}</td>
            <td>${user.source.name}</td>
            <td>${user.role.name}</td>
            <td>
                <c:if test="${user.enable==true}">
                    启用
                </c:if>
                <c:if test="${user.enable==false}">
                    禁用
                </c:if>
            </td>
            <td>${user.relatedAccount}</td>
            <td>
                <c:if test="${web_user.schoolAdmin==true && user.source.value==1}">
                    <a href="${ctx}/admin/user/edit?id=${user.id}">修改</a>
                </c:if>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<div class="pagination">${query}</div>
<script type="text/javascript">
    function page(n, s) {
        $("#pageNumber").val(n);
        $("#pageSize").val(s);
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        $("#pageNumber").val(1);
        $("#pageSize").val('${query.pageSize}');
        $("#searchForm").submit();
        return false;
    }
    $("#btnImport").click(function(){
    	  $.jBox($("#importBox").html(), {title:"导入数据", buttons:{"关闭":true},
    	    bottomText:"导入文件不能超过5M，仅允许导入“xls”或“xlsx”格式文件！"});
    });
    $("#btnImportClass").click(function(){
  	  $.jBox($("#importClassBox").html(), {title:"导入数据", buttons:{"关闭":true},
  	    bottomText:"导入文件不能超过5M，仅允许导入“xls”或“xlsx”格式文件！"});
  });
</script>
</body>
</html>